%define upstream_name    Template-Semantic
%define upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Template::Semantic Recipes, tricks, hints
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz
# https://github.com/valy23/Template-Semantic/commit/ffaf4d6fce6844c9ad3a303cc5ef8964a2f2e5ba
Patch0:     Template-Semantic-0.09-fix-test.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(HTML::Selector::XPath)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Base)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(XML::LibXML)
BuildArch: noarch

%description
Template::Semantic is a template engine for XHTML/XML based on the
XML::LibXML manpage that doesn't use any template syntax. This module takes
pure XHTML/XML as a template, and uses XPath or CSS selectors to assign
values.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml README Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-7.mga6
+ Revision: 1033911
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.90.0-6.mga6
+ Revision: 951059
- Mageia 6 Mass Rebuild

* Sun Dec 07 2014 sander85 <sander85> 0.90.0-5.mga5
+ Revision: 801998
- Fix test

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.90.0-3.mga4
+ Revision: 514928
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 373180
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 27 2012 shlomif <shlomif> 0.90.0-1.mga3
+ Revision: 310852
- New version 0.09

* Wed Jul 11 2012 shlomif <shlomif> 0.80.0-1.mga3
+ Revision: 269499
- imported package perl-Template-Semantic


* Wed Jul 11 2012 cpan2dist 0.08-1mga
- initial mageia release, generated with cpan2dist
